
<div class="addquestionWrap"  id="contentToConvert">
  <div class="titleCont">
    <h4 class="black"> Assignment - Questionnaire</h4>
  </div>
  <div class="contentCont">
    <div class="qCont">
      <div class="headingBar">
        <div class="col-sm-6 MP0">

          <h4>{{assignmentSavedDetails.assignmentName}} for {{assignmentSavedDetails.className}} </h4>
          <div class="tag">
            <ul>
              <li>
                <p>{{assignmentSavedDetails.className}}</p>
              </li>
              <li>
                <p>{{assignmentSavedDetails.subjectName}}</p>
              </li>
              <li>
                <p>{{assignmentSavedDetails.semisterName}}</p>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-sm-6 MP0 text-right">
          <div class="tag1">
            <ul>
              <li>
                <p>Questions created : {{questionDetailsList.length}} </p>
              </li>
              <!--{{totalAssignmentWeight}}-->
              <li>
                <p>Marks : 100</p>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="qBlock">

        <div *ngIf="questionDetailsList.length>0">
          <div *ngFor="let questionObj of questionDetailsList ;let i = index">
            <div class="qCont typ1 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Text'">
              <div class="qBlockHolder">
                <div class="col60">
                  <div class="qinfo">
                    <div class="qnpTitle">
                      <em class="dot"></em>
                      <span class="qNo">Question {{i+1}} </span>
                    </div>
                    <div class="qText">
                      <span class="dargIcon"></span>
                      <div class="inputCont">
                        <input type="text" [(ngModel)]="questionObj['textQuestionTitle'+[i]]" name="questionObj['textQuestionTitle'+[i]]">
                        <div class="mediaCont">
                          <ul>
                            <li>
                              <span class="Micon typ0"></span>
                            </li>
                            <li>
                              <span class="Micon typ1"></span>
                            </li>
                            <li>
                              <span class="Micon typ2"></span>
                            </li>
                            <li>
                              <span class="Micon typ3"></span>
                            </li>
                          </ul>
                        </div>
                      </div>
                     <!-- <div class="pBtn" >+</div>-->
                    </div>
                    <div class="optionCont">
                      <div class="textHolder">
                      <textarea type="text"
                                [(ngModel)]="questionObj['textQuestionDesp'+[i]]" name="questionObj['textQuestionDesp'+[i]]"></textarea>
                      </div>
                    </div>

                  </div>
                </div>
                <div class="col40">
                  <div class="box">
                    <div class="weight">
                      <label>Enter weighting</label>
                      <input type="number"
                             [(ngModel)]="questionObj['textQuestionWeight'+[i]]" name="questionObj['textQuestionWeight'+[i]]">
                    </div>
                    <div class="dropDwonHolder">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="ctable">
                      <table>
                        <tr>
                          <td class="wit60">
                            <span class="icon active circle"data-toggle="modal" data-target="#addStanders" ></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon award"></span>
                          </td>
                          <td>
                            <p class="textInfo">K12 - 6.1 Accounting</p>
                          </td>
                          <td  class="wit60">
                            <span class="icon hidden"></span>
                          </td>
                        </tr>
                        <tr>
                          <td class="wit60">
                            <span class="icon drag" (click)="fnCollapse(i)"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon file"></span>

                            <div class="notifi">
                              <em>3</em>
                            </div>                          </td>
                          <td>
                            <p class="textInfo alink">
                              www.link.com/resource
                            </p>
                          </td>
                         <!-- <td  class="wit60">
                            <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                          </td>-->
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="qCont typ0 demo1"  [attr.id]="i" *ngIf="questionObj['questionType'+[i]]==='Choice'">
              <div class="qBlockHolder">
                <div class="col60">
                  <div class="qinfo">
                    <div class="qnpTitle">
                      <em class="dot"></em>
                      <span class="qNo">Question {{i+1}} </span>
                    </div>
                    <div class="qText">
                      <span class="dargIcon"></span>
                      <div class="inputCont">
                        <input type="text"
                               [(ngModel)]="questionObj['choiceTitle'+[i]]" name="questionObj['choiceTitle'+[i]" />
                      </div>
                     <!-- <div class="pBtn" >+</div>-->
                    </div>
                    <div class="optionCont">
                      <ul>

                        <li  *ngFor="let choiceObj of questionObj.choiceTypes let k = index ">
                          <div class="elementTxt" >
                            <div class="qText">
                              <span class="dargIcon" style="visibility: hidden"></span>
                              <div class="inputCont" style="padding: 5px 20px;">
                                <input type="text" [(ngModel)]="questionObj['choiceObj'+[k]]" name="questionObj['choiceObj'+[i]]">
                              </div>
                              <!--<div class="pBtn" (click)="addToIntermediateArray()" style="visibility: hidden">+</div>-->
                            </div>
                          </div>
                          <span class="checkIcon "  style="top: 25px;" (click)="markChoiceAsAnswer(choiceObj)"></span>
                          <!-- <p>  {{formChoiceOutput[choiceObj.modelValue]}}</p>-->
                        </li>

                      </ul>
                    </div>

                  </div>
                </div>
                <div class="col40">
                  <div class="box">
                    <div class="weight">
                      <label>Enter weighting</label>
                      <input type="number" [(ngModel)]="questionObj['choiceQuestionWeight'+[i]]" name="questionObj['choiceQuestionWeight'+[i]]">
                    </div>
                    <div class="dropDwonHolder">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="ctable">
                      <table>
                        <tr>
                          <td class="wit60">
                            <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon award"></span>
                          </td>
                          <td>
                            <p class="textInfo">K12 - 6.1 Accounting</p>
                          </td>
                          <td  class="wit60">
                            <span class="icon hidden"></span>
                          </td>
                        </tr>
                        <tr>
                          <td class="wit60">
                            <span class="icon drag" (click)="fnCollapse(i)"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon file"></span>

                            <div class="notifi">
                              <em>3</em>
                            </div>                          </td>
                          <td>
                            <p class="textInfo alink">
                              www.link.com/resource
                            </p>
                          </td>
                         <!-- <td  class="wit60">
                            <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                          </td>-->
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="qCont typ2 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Match'">
              <div class="qBlockHolder">
                <div class="col60">
                  <div class="qinfo">
                    <div class="qnpTitle">
                      <em class="dot"></em>
                      <span class="qNo">Question {{i+1}} </span>
                    </div>
                    <div class="qText">
                      <span class="dargIcon"></span>
                      <div class="inputCont">
                        <input type="text" [(ngModel)]="questionObj['matchMainQuestion'+[i]]"
                               name="questionObj['matchMainQuestion'+[i]" />
                        <div class="mediaCont">
                          <ul>
                            <li>
                              <span class="Micon typ0"></span>
                            </li>
                            <li>
                              <span class="Micon typ1"></span>
                            </li>
                            <li>
                              <span class="Micon typ2"></span>
                            </li>
                            <li>
                              <span class="Micon typ3"></span>
                            </li>
                          </ul>
                        </div>
                      </div>
                      <!--<div class="pBtn">+</div>-->
                    </div>
                    <div class="optionCont">
                      <div class="dargDis">
                        <table>
                          <tr >
                            <td>
                              <label>Side a</label>
                            </td>
                            <td class="wit150">

                            </td>
                            <td>
                              <label>side B</label>
                            </td>
                          </tr>
                          <tr *ngFor="let matchObj of questionObj.matchOptionsList let b = index ">

                            <td class="dashed" *ngIf="matchObj.isMatchDistractor">
                              <span class="no">{{b+1}}</span>
                              <p class="textCOnt">
                                <input type="text"
                                       [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]"/>
                              </p>
                            </td>
                            <td *ngIf="!matchObj.isMatchDistractor">
                              <span class="no">{{b+1}}</span>
                              <p class="textCOnt">
                                <input type="text"  [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]" />
                              </p>
                            </td>
                            <td class="wit150" *ngIf="!matchObj.isMatchDistractor">
                              <div class="dashedlineCon">
                                <span class="dashLine"></span>
                              </div>
                            </td>
                            <td class="dashed" *ngIf="!matchObj.isMatchDistractor">
                              <span class="no">{{b+1}}</span>
                              <p class="textCOnt">
                                <input type="text"  [(ngModel)]="questionObj[matchObj.rightAnswer[b]]"
                                       name="questionObj[matchObj.rightAnswer[b]]" />
                              </p>
                            </td>


                          </tr>

                        </table>
                      </div>
                    </div>

                  </div>
                </div>
                <div class="col40">
                  <div class="box">
                    <div class="weight">
                      <label>Enter weighting</label>
                      <input type="number"
                             [(ngModel)]="questionObj['matchQuestionWeight'+[i]]" name="questionObj['matchQuestionWeight'+[i]]">
                    </div>
                    <div class="dropDwonHolder">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="ctable">
                      <table>
                        <tr>
                          <td class="wit60">
                            <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon award"></span>
                          </td>
                          <td>
                            <p class="textInfo">K12 - 6.1 Accounting</p>
                          </td>
                          <td  class="wit60">
                            <span class="icon hidden"></span>
                          </td>
                        </tr>
                        <tr>
                          <td class="wit60">
                            <span class="icon drag" (click)="fnCollapse(i)"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon file"></span>

                            <div class="notifi">
                              <em>3</em>
                            </div>                          </td>
                          <td>
                            <p class="textInfo alink">
                              www.link.com/resource
                            </p>
                          </td>
                         <!-- <td  class="wit60">
                            <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                          </td>-->
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="qCont typ3 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Fill'">
              <div class="qBlockHolder">
                <div class="col60">
                  <div class="qinfo">
                    <div class="qnpTitle">
                      <em class="dot"></em>
                      <span class="qNo" *ngIf="finalQuestionsArr">Question {{finalQuestionsArr.length+1}} </span>
                    </div>
                    <div class="qText">
                      <span class="dargIcon"></span>
                      <div class="inputCont">
                        <input type="text"
                               [(ngModel)]="questionObj['fillTitle'+[i]]" name="questionObj['fillTitle'+[i]]" />

                      </div>
                      <!--<div class="pBtn" >+</div>-->
                    </div>
                    <div class="alert-msg">
                      <p>Words in double inverted commas “” in a statement will be marked as blank words. </p>
                    </div>
                    <div class="optionCont multi">
                      <ul class="mutiOp">
                        <li *ngFor="let fillObj of questionObj.fillOptionsList let p = index ">
                          <div class="qText">
                            <span class="dargIcon" style="visibility: hidden;"></span>
                            <div class="inputCont" style="padding: 5px 25px;">
                              <input type="text" [(ngModel)]="questionObj.fillOptionsList[fillObj]"
                                     name="questionObj.fillOptionsList[fillObj]"/>
                            </div>
                            <!--<div class="pBtn" (click)="addToIntermediateArray()" style="visibility: hidden;">+</div>-->
                          </div>


                        </li>

                      </ul>
                    </div>

                  </div>
                </div>
                <div class="col40">
                  <div class="box">
                    <div class="weight">
                      <label>Enter weighting</label>
                      <input type="number"  [(ngModel)]="questionObj['fillQuestionWeight'+[i]]" name="questionObj['fillQuestionWeight'+[i]]">
                    </div>
                    <div class="dropDwonHolder">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="ctable">
                      <table>
                        <tr>
                          <td class="wit60">
                            <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                          </td>
                          <td  class="wit60">
                            <span class="icon award active"></span>
                          </td>
                          <td>
                            <p class="textInfo">K12 - 6.1 Accounting</p>
                          </td>
                          <td  class="wit60">
                            <span class="icon hidden"></span>
                          </td>
                        </tr>
                        <tr>
                          <td class="wit60">
                            <span class="icon drag "  (click)="fnCollapse(i)"></span>
                          </td>
                          <td  class="wit60 PR">
                            <span class="icon file active"></span>
                            <div class="notifi">
                              <em>3</em>
                            </div>

                          </td>
                          <td>
                            <p class="textInfo alink">
                              www.link.com/resource
                            </p>
                          </td>
                          <td  class="wit60">
                          <span class="icon dele "
                                (click)="deleteQuestion(questionObj)"></span>
                          </td>
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
              </div>


            </div>
          </div>
        </div>
      </div>
    </div>


  </div>
  <div class="nav">
    <div class="pull-right">
      <button class="btn btn-defult" (click)="naviagetToDashbord()">Back</button>
    </div>
  </div>
  <app-targert-learning></app-targert-learning>
</div>


